> ## AI Agent Context
> Get the complete documentation index at: https://aistudio.google.com/llms.txt
> Use this file to discover all available pages.
> For the full documentation in a single file, fetch: https://aistudio.google.com/llms-full.txt

# Listing file search stores

{% mark class="http-get" %}{% icon name="south_west" /%}`GET`{% /mark %} `https://generativelanguage.googleapis.com/v1beta/fileSearchStores`

Lists all `FileSearchStores` owned by the user.

{% two-column-layout %}
  {% left-column %}
## Parameters  {% class="hide-from-toc" id="parameters" %}

  {% section class="api-ref-property-list" %}
  **pageSize**: `integer`

  Optional. The maximum number of `FileSearchStores` to return (per page). The service may return fewer `FileSearchStores`. If unspecified, at most 10 `FileSearchStores` will be returned. The maximum size limit is 20 `FileSearchStores` per page.

  {% hr /%}

  **pageToken**: `string`

  Optional. A page token, received from a previous `ListFileSearchStores` call. Provide the `next_page_token` returned in the response as an argument to the next request to retrieve the next page. When paginating, all other parameters provided to `ListFileSearchStores` must match the call that provided the page token.

  {% /section %}

  {% /left-column %}

  {% right-column class="sticky" %}
  **Example request** {% class="example-heading" %}

  {% tabs %}
  {% tab label="REST" %}
  ```sh
  curl -X GET "https://generativelanguage.googleapis.com/v1beta/fileSearchStores" \
    -H "x-goog-api-key: $GEMINI_API_KEY"
  ```

  {% /tab %}

  {% /tabs %}

  {% /right-column %}

{% /two-column-layout %}

{% two-column-layout %}
  {% left-column %}
## Response  {% class="hide-from-toc" id="response" %}

  {% section class="api-ref-property-list" %}
  **fileSearchStores**: [`FileSearchStore`](/api-reference/file-search/file-search-stores/list-file-search-stores#Resource:FileSearchStore) `array`

  The returned rag_stores.

  {% hr /%}

  **nextPageToken**: `string`

  A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no more pages.

  {% /section %}

  {% /left-column %}

  {% right-column class="sticky" %}
  **Example response** {% class="example-heading" %}

  ```json
  {
    "fileSearchStores": [
      {
        "name": "string",
        "displayName": "string",
        "createTime": "string",
        "updateTime": "string",
        "activeDocumentsCount": "string",
        "pendingDocumentsCount": "string",
        "failedDocumentsCount": "string",
        "sizeBytes": "string",
        "embeddingModel": "string"
      }
    ],
    "nextPageToken": "string"
  }
  ```

  {% /right-column %}

{% /two-column-layout %}

## Resources  {% class="hide-from-toc" id="resources" %}

### FileSearchStore  {% class="hide-from-toc" id="Resource:FileSearchStore" %}

A [`FileSearchStore`](/api-reference/file-search/file-search-stores/list-file-search-stores#Resource:FileSearchStore) is a collection of `Document`s.

**Properties:**

{% section class="api-ref-property-list" %}
  **name**: `string`

  Output only. Immutable. Identifier. The [`FileSearchStore`](/api-reference/file-search/file-search-stores/list-file-search-stores#Resource:FileSearchStore) resource name. It is an ID (name excluding the "fileSearchStores/" prefix) that can contain up to 40 characters that are lowercase alphanumeric or dashes (-). It is output only. The unique name will be derived from `display_name` along with a 12 character random suffix. Example: `fileSearchStores/my-awesome-file-search-store-123a456b789c` If `display_name` is not provided, the name will be randomly generated.

  {% hr /%}

  **displayName**: `string`

  Optional. The human-readable display name for the [`FileSearchStore`](/api-reference/file-search/file-search-stores/list-file-search-stores#Resource:FileSearchStore). The display name must be no more than 512 characters in length, including spaces. Example: "Docs on Semantic Retriever"

  {% hr /%}

  **createTime**: `string`

  Output only. The Timestamp of when the [`FileSearchStore`](/api-reference/file-search/file-search-stores/list-file-search-stores#Resource:FileSearchStore) was created.

  {% hr /%}

  **updateTime**: `string`

  Output only. The Timestamp of when the [`FileSearchStore`](/api-reference/file-search/file-search-stores/list-file-search-stores#Resource:FileSearchStore) was last updated.

  {% hr /%}

  **activeDocumentsCount**: `string`

  Output only. The number of documents in the [`FileSearchStore`](/api-reference/file-search/file-search-stores/list-file-search-stores#Resource:FileSearchStore) that are active and ready for retrieval.

  {% hr /%}

  **pendingDocumentsCount**: `string`

  Output only. The number of documents in the [`FileSearchStore`](/api-reference/file-search/file-search-stores/list-file-search-stores#Resource:FileSearchStore) that are being processed.

  {% hr /%}

  **failedDocumentsCount**: `string`

  Output only. The number of documents in the [`FileSearchStore`](/api-reference/file-search/file-search-stores/list-file-search-stores#Resource:FileSearchStore) that have failed processing.

  {% hr /%}

  **sizeBytes**: `string`

  Output only. The size of raw bytes ingested into the [`FileSearchStore`](/api-reference/file-search/file-search-stores/list-file-search-stores#Resource:FileSearchStore). This is the total size of all the documents in the [`FileSearchStore`](/api-reference/file-search/file-search-stores/list-file-search-stores#Resource:FileSearchStore).

  {% hr /%}

  **embeddingModel**: `string`

  Optional. The embedding model to use for the [`FileSearchStore`](/api-reference/file-search/file-search-stores/list-file-search-stores#Resource:FileSearchStore). The model's resource name. This serves as an ID for the Model to use. Format: `models/{model}`. If not specified, the default embedding model will be used.

{% /section %}

